#ifndef __IMAGES_H__
#define __IMAGES_H__

#include <gnome.h>

typedef struct FlashPointItem
{
        struct FlashPointItem*next;
        GnomeCanvasItem*item;
        int x;
        int y;
}FlashPointItem;

void init_images(void );
void init_numbers(void );
void free_images(void );
void reload_images(void );
void free_numbers(void );

typedef GnomeCanvasItem*(*new_item)(GnomeCanvasGroup*parent,int x,int y,
                                    int color,int state);

GnomeCanvasItem*new_item_image(GnomeCanvasGroup*parent,int x,int y,int color,int state);
GnomeCanvasItem*new_item_rect(GnomeCanvasGroup*parent,int x,int y,int color,int state);

GnomeCanvasItem*new_background(GnomeCanvasGroup*parent,int x,int y);

extern new_item paint_item;

void load_faces(void );
void set_faces(int dm,int index);
FlashPointItem*new_score_flash(GnomeCanvasGroup*parent,int score);

#endif//__IMAGES_H__
