#include "settings.h"

Preferences prefs;
gboolean reloadimages = FALSE;

void load_settings()
{
        if(!(prefs.keys[KEY_LEFT0] = gnome_config_get_int("gewels/prefs/left0=0")))
           prefs.keys[KEY_LEFT0] = GDK_comma;
        if(!(prefs.keys[KEY_RIGHT0] = gnome_config_get_int("gewels/prefs/right0=0")))
           prefs.keys[KEY_RIGHT0] = GDK_period;
        if(!(prefs.keys[KEY_UP0] = gnome_config_get_int("gewels/prefs/up0=0")))
           prefs.keys[KEY_UP0] = GDK_a;
        if(!(prefs.keys[KEY_DOWN0] = gnome_config_get_int("gewels/prefs/down0=0")))
           prefs.keys[KEY_DOWN0] = GDK_q;
        if(!(prefs.keys[KEY_FALL0] = gnome_config_get_int("gewels/prefs/fall0=0")))
           prefs.keys[KEY_FALL0] = GDK_z;

        if(!(prefs.keys[KEY_LEFT1] = gnome_config_get_int("gewels/prefs/left1=0")))
           prefs.keys[KEY_LEFT1] = GDK_Left;
        if(!(prefs.keys[KEY_RIGHT1] = gnome_config_get_int("gewels/prefs/right1=0")))
           prefs.keys[KEY_RIGHT1] = GDK_Right;
        if(!(prefs.keys[KEY_UP1] = gnome_config_get_int("gewels/prefs/up1=0")))
           prefs.keys[KEY_UP1] = GDK_Up;
        if(!(prefs.keys[KEY_DOWN1] = gnome_config_get_int("gewels/prefs/down1=0")))
           prefs.keys[KEY_DOWN1] = GDK_End;
        if(!(prefs.keys[KEY_FALL1] = gnome_config_get_int("gewels/prefs/fall1=0")))
           prefs.keys[KEY_FALL1] = GDK_Down;

        prefs.startinglevel = gnome_config_get_int("gewels/prefs/startinglevel=0");
        prefs.computerskills = gnome_config_get_int("gewels/prefs/computerskills=1");
        prefs.background = gnome_config_get_string("gewels/prefs/background");
        prefs.items = gnome_config_get_string("gewels/prefs/items=gewels-40x40");

        reloadimages = TRUE;
}

void save_settings()
{
        gnome_config_set_int("gewels/prefs/left0",prefs.keys[KEY_LEFT0]);
        gnome_config_set_int("gewels/prefs/right0",prefs.keys[KEY_RIGHT0]);
        gnome_config_set_int("gewels/prefs/up0",prefs.keys[KEY_UP0]);
        gnome_config_set_int("gewels/prefs/down0",prefs.keys[KEY_DOWN0]);
        gnome_config_set_int("gewels/prefs/fall0",prefs.keys[KEY_FALL0]);
        gnome_config_set_int("gewels/prefs/left1",prefs.keys[KEY_LEFT1]);
        gnome_config_set_int("gewels/prefs/right1",prefs.keys[KEY_RIGHT1]);
        gnome_config_set_int("gewels/prefs/up1",prefs.keys[KEY_UP1]);
        gnome_config_set_int("gewels/prefs/down1",prefs.keys[KEY_DOWN1]);
        gnome_config_set_int("gewels/prefs/fall1",prefs.keys[KEY_FALL1]);

        gnome_config_set_int("gewels/prefs/startinglevel",prefs.startinglevel);
        gnome_config_set_int("gewels/prefs/computerskills",prefs.startinglevel);

        gnome_config_set_string("gewels/prefs/items",prefs.items);
        gnome_config_set_string("gewels/prefs/background",prefs.background);

        gnome_config_sync();
}

void free_settings()
{
        g_free(prefs.background);
        g_free(prefs.items);
}
